[![Build Status](https://travis-ci.org/outrightmental/omniauth-outrightmental.svg)](https://travis-ci.org/outrightmental/omniauth-outrightmental) [![Gem Version](https://badge.fury.io/rb/omniauth-outrightmental.svg)](http://badge.fury.io/rb/omniauth-outrightmental)

# OmniAuth: Outright Mental Inc.

This is the official OmniAuth strategy for authenticating to [Outright Mental Inc.](http://www.outrightmental.com/) To use it, you'll need to have a partner account- probably because we're building something together. Then just sign in and create an OAuth2 Application ID and Secret
on the [Applications Page](https://ont.io/#/settings/applications).

## Basic Usage

    use OmniAuth::Builder do
      provider :outrightmental, ENV['OUTRIGHTMENTAL_KEY'], ENV['OUTRIGHTMENTAL_SECRET']
    end

## Scopes

Outright Mental Inc. API lets you set scopes to provide granular access to different types of data: 

	use OmniAuth::Builder do
      provider :outrightmental, ENV['OUTRIGHTMENTAL_KEY'], ENV['OUTRIGHTMENTAL_SECRET'], scope: "identity,account,contact"
    end

More info on [Scopes](https://ont.io/apidoc/#scopes).

## License

Copyright (c) 2015 Outright Mental Inc.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
